function theta= angles(n,omega)
% computes the 2n+1 angles theta for trigonometric interpolation 
% of degree n on [-omega,omega] subseteq [-pi,pi]

% input
% n: trigonometric degree 
% omega: half-length of the angular interval, 0<omega<=pi

% output
% theta: 1-column array of the 2n+1 angular nodes

k=[0:1:2*n];
theta=2*asin(sin(omega/2)*cos((pi*k+pi/2)/(2*n+1)));


