function [M, theta] = wamrot(P,n,r0,z0,omega)
%---------------------------------------------------------------
% This function starting from a 2d mesh P, 
% creates a 3d toroidal mesh M around center z0, radius r0
% and angle omega. The output variable theta corresponds
% to 2n+1 equispaced angles on the torus
%
% by Stefano De Marchi and Marco Vianello, University of Padova 
% 
% January 2013
%---------------------------------------------------------------
M=[];
theta=angles(n,omega);
for k=1:length(theta)
    r=r0+P(:,1);
    z=z0+P(:,2); 
    M=[M; [r.*cos(theta(k)) r.*sin(theta(k)) z]];
end

end

